header {
  position: relative;
  overflow: hidden;
}

.navbar {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  padding: 0px 50px;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.navbar ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
}

.navbar ul li {
  float: left;
}

.navbar ul li a {
  color: white;
  display: block;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-weight: 600;
  font-family: "Inter", sans-serif;
  font-size: 1rem;
}

.navbar ul li a:hover {
  color: var(--secondary-color);
}

.toggle-button {
  color: white;
  cursor: pointer;
  font-size: 1.3rem;
  display: none;
}

.active-nav {
  font-weight: 700 !important;
  color: var(--secondary-color) !important;
  border: 1px solid var(--secondary-color);
  border-radius: 40px;
}

.contact-button {
  outline: 0;
  border: 0;
  width: 139px;
  height: 60px;
  font-family: "Inter", sans-serif;
  font-weight: 700;
  font-size: 1rem;
  background-color: var(--secondary-color);
  border-radius: 40px;
  transition: border background-color 0.5s ease-out;
  cursor: pointer;
}

.contact-button:hover {
  color: var(--secondary-color);
  background-color: transparent;
  border: 1px solid var(--secondary-color);
}

.dropdown-menu {
  position: absolute;
  top: 0;
  right: -2000px;
  width: 40%;
  height: 100vh;
  z-index: 100;
  overflow: hidden;
  transition: right 0.3s ease;
  background-color: var(--dark-bg-color);
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
}

.open {
  right: 0px;
}

.dropdown-menu ul li {
  display: flex;
  justify-content: flex-start;
  margin-bottom: 1.6rem;
}

.dropdown-menu li a {
  color: white;
  text-decoration: none;
  font-family: "Inter", sans-serif;
  font-weight: 400;
}

.dropdown-menu li a:hover {
  color: var(--secondary-color);
}

.side-nav-social-icons {
  display: flex;
  gap: 0.2rem;
}

@media only screen and (max-width: 600px) {
  .navbar .navbar-menu,
  .navbar .contact-button {
    display: none;
  }

  .navbar {
    padding: 0px 15px;
  }

  .navbar .toggle-button {
    display: block;
  }

  .dropdown-menu {
    width: 50%;
  }
}

@media only screen and (min-width: 600px) and (max-width: 1023px) {
  .navbar .navbar-menu,
  .navbar .contact-button {
    display: none;
  }

  .navbar {
    padding: 0px 15px;
  }

  .navbar .toggle-button {
    display: block;
  }

  .dropdown-menu {
    width: 40%;
  }
}
